## org.eclipse.datatools.connectivity
Interface IProfileListener1

All Superinterfaces:
  IProfileListener

public interface IProfileListener1
extends IProfileListener

Profile Change Listener

Author:
  shongxum

Method Summary
`void` `profileChanged(IConnectionProfile profile, java.lang.String oldName, java.lang.String oldDesc, java.lang.Boolean oldAutoConnect)`

Methods inherited from interface org.eclipse.datatools.connectivity.IProfileListener
`profileAdded, profileChanged, profileDeleted`

Method Detail

### profileChanged

    public void profileChanged(IConnectionProfile profile,
                               java.lang.String oldName,
                               java.lang.String oldDesc,
                               java.lang.Boolean oldAutoConnect)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.